%include common-macros.specinclude

# need OpenSP to build openjade
%define opensp_ver 1.5.2

Summary: A DSSSL Implementation
Name: lsb-openjade
Version: 1.3.2
Release: 12.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: BSD
Group: Appbat/languages
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc lsb-build-c++

Source0: http://easynews.dl.sourceforge.net/sourceforge/openjade/openjade-%{version}.tar.gz
Source1: http://easynews.dl.sourceforge.net/sourceforge/openjade/OpenSP-%{opensp_ver}.tar.gz
Patch0: openjade-1.3.2-perl-getopt.patch

%description
LSB conforming version of openjade. 
OpenJade is an implementation of the ISO/IEC 10179:1996 standard DSSSL
(Document Style Semantics and Specification Language). OpenJade is
based on James Clark's Jade implementation of DSSSL. OpenJade is a
commmand-line application and a set of components. The DSSSL engine
inputs an SGML or XML document and can output a variety of formats:
XML, RTF, TeX, MIF (FrameMaker), SGML, or XML.

%prep
%setup -q -c -a0 -a1
%patch0 -p0

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define includedir %{prefix}/include
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export LSBLIBDIR=-L%{libdir}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# OpenSP
export OPENSP_ROOT=`pwd`/opensp-root

cd OpenSP-%{opensp_ver}

./configure \
    --prefix=%{app_prefix} \
    --with-pic \
    --disable-doc-build \
    LDFLAGS=$LSBLIBDIR

make

# temporary install location for openjade build
make DESTDIR=$OPENSP_ROOT install
cd ..

# openjade
cd openjade-%{version}

./configure \
    --prefix=%{app_prefix} \
    --enable-spincludedir=$OPENSP_ROOT%{app_prefix}/include/OpenSP \
    --enable-splibdir=$OPENSP_ROOT%{app_prefix}/lib \
    --with-pic

# openjade can't use "installed" location for opensp because it isn't
# installed there yet, and need rpath to find the eventual installed location.
sed -i 's|--mode=link \$(CXX)|--mode=link $(CXX) -Wl,-rpath,/opt/lsb/appbat/lib|g' Makefile.prog

make
cd ..

%install
rm -rf %{buildroot}

cd OpenSP-%{opensp_ver}
make DESTDIR=%{buildroot} install
cd ..

cd openjade-%{version}
make DESTDIR=%{buildroot} install
cd ..

# drop locale.alias
rm -f %{buildroot}%{sharedir}/locale/locale.alias

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Fri Apr 12 2013 Jeff Licquia <licquia@linuxfoundation.org>
- add GetOpt::Std patch

* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Mon Oct 06 2008 Stew Benedict <stewb@linux-foundation.org>
- drop locale.alias from package

* Sat Apr 09 2005 Mats Wichmann
- LSB pkgs need AutoReqProv: no

* Tue Nov 11 2003 Mats Wichmann
- Uplifted OpenSP 1.5 -> 1.5.1

* Wed Nov 05 2003 Mats Wichmann
- Reset build identifier; include target lsb version

* Thu Apr 24 2003 Marvin Heffler
- Initial spec file for openjade
